package org.jeecg.ctop.finance.settlement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.finance.settlement.entity.pojo.CtopCwjsSettlementInfo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface ISettlementInfoService extends IService<CtopCwjsSettlementInfo> {

    Result getSettlementList(CtopCwjsSettlementInfo settlementInfo, Integer pageNo, Integer pageSize);

    Result updSettlementStatusById(Long id,Integer status);

    Result deleteSettlementById(Long id);

    Result settlementAccountImport(CtopCwjsSettlementInfo settlementInfo, MultipartFile file);


    List<Map<String,Object>> getUserByIds(Set userIds);

}
